Name:           perl-CPAN
Version:        2.05
Release:        1%{?org_tag}%{?dist}
Summary:        Query, download and build perl modules from CPAN sites
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CPAN/
Source0:        http://localhost/cpan//authors/id/A/AN/ANDK/CPAN-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.004
BuildRequires:  perl(Archive::Tar)
BuildRequires:  perl(Archive::Zip)
BuildRequires:  perl(Compress::Bzip2)
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(CPAN::Checksums)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(HTTP::Tiny)
BuildRequires:  perl(IO::Compress::Base)
BuildRequires:  perl(IO::Zlib)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Signature)
BuildRequires:  perl(Parse::CPAN::Meta)
BuildRequires:  perl(Term::ReadKey)
BuildRequires:  perl(Test::Harness) >= 2.62
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Text::Glob)
BuildRequires:  perl(YAML)
BuildRequires:  perl(YAML::Syck)
BuildRequires:  perl(YAML::XS)
%if %{rhel} < 6
BuildRequires:  /usr/bin/rename
%endif
Requires:       perl(Archive::Tar)
Requires:       perl(Archive::Zip)
Requires:       perl(Compress::Bzip2)
Requires:       perl(Compress::Zlib)
Requires:       perl(CPAN::Checksums)
Requires:       perl(Digest::SHA)
Requires:       perl(ExtUtils::CBuilder)
Requires:       perl(File::HomeDir)
Requires:       perl(File::Which)
Requires:       perl(HTTP::Tiny)
Requires:       perl(IO::Compress::Base)
Requires:       perl(IO::Zlib)
Requires:       perl(LWP::UserAgent)
Requires:       perl(Module::Build)
Requires:       perl(Module::Signature)
Requires:       perl(Parse::CPAN::Meta)
Requires:       perl(Term::ReadKey)
Requires:       perl(Test::Harness) >= 2.62
Requires:       perl(Test::More)
Requires:       perl(Text::Glob)
Requires:       perl(YAML)
Requires:       perl(YAML::Syck)
Requires:       perl(YAML::XS)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Autoreq:        no

%description
The CPAN module automates or at least simplifies the make and install of
perl modules and extensions. It includes some primitive searching
capabilities and knows how to use LWP, HTTP::Tiny, Net::FTP and certain
external download clients to fetch distributions from the net.

%prep
%setup -q -n CPAN-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%if %{rhel} < 6
for i in %{buildroot}%{_bindir}/*; do
  mv $i $i-%{version}
done
/usr/bin/rename .1   -%{version}.1   %{buildroot}%{_mandir}/man1/*.1
/usr/bin/rename .3pm -%{version}.3pm %{buildroot}%{_mandir}/man3/*.3pm
%endif

%{_fixperms} %{buildroot}/*

%check
make test

%post
%if %{rhel} < 6
# Replace old versions with updated ones.
# This is an ugly evil hack, but there's really no way around it. Blame RedHat
# for coupling perl-CPAN inside their perl package, instead of having it separate.
cp %{_bindir}/cpan-%{version} %{_bindir}/cpan
cp %{_mandir}/man1/cpan-%{version}.1.gz %{_mandir}/man1/cpan.1.gz
cp %{_mandir}/man3/CPAN-%{version}.3pm.gz %{_mandir}/man3/CPAN.3pm.gz
cp %{_mandir}/man3/CPAN::FirstTime-%{version}.3pm.gz %{_mandir}/man3/CPAN::FirstTime.3pm.gz
cp %{_mandir}/man3/CPAN::Nox-%{version}.3pm.gz %{_mandir}/man3/CPAN::Nox.3pm.gz
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes PAUSE2003.pub PAUSE2005.pub PAUSE2007.pub PAUSE2009.pub PAUSE2011.pub README SlayMakefile Todo
%{_bindir}/*
%{_mandir}/man1/*
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jul 23 2014 Gavin Carr <gavin@openfusion.com.au> 2.05-1
- Update to version 2.05.

* Fri Jun 22 2012 Gavin Carr <gavin@openfusion.com.au> 1.9800-1
- Update to version 1.9800.

* Thu Jul 07 2011 Gavin Carr <gavin@openfusion.com.au> 1.9600-1
- Specfile autogenerated by cpanspec 1.79.
